--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_get/zpool_get_004_neg.ksh	Wed Aug 31 16:20:57 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_get/zpool_get_004_neg.ksh	Wed Aug 31 16:20:57 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -51,7 +55,7 @@
 
 for arg in $arguments
 do
-	log_mustnot $ZPOOL get $arg
+	log_mustnot zpool get $arg
 done
 
 log_pass "Malformed zpool get commands are rejected"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_history/zpool_history_001_neg.ksh	Wed Aug 31 16:20:57 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_history/zpool_history_001_neg.ksh	Wed Aug 31 16:20:57 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -47,8 +51,8 @@
 
 function cleanup
 {
-	datasetexists $clone && log_must $ZFS destroy $clone
-	datasetexists $snap && log_must $ZFS destroy $snap
+	datasetexists $clone && log_must zfs destroy $clone
+	datasetexists $snap && log_must zfs destroy $snap
 }
 
 log_assert "Verify 'zpool history' can deal with non-existent pools and " \
@@ -55,11 +59,11 @@
 	"garbage to the command."
 log_onexit cleanup
 
-log_must $ZFS snapshot $snap
-log_must $ZFS clone $snap $clone
+log_must zfs snapshot $snap
+log_must zfs clone $snap $clone
 
 for opt in "${neg_opt[@]}"; do
-	log_mustnot eval "$ZPOOL history $opt > /dev/null"
+	log_mustnot eval "zpool history $opt > /dev/null"
 done
 
 log_pass "'zpool history' command line negation test passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_history/zpool_history_002_pos.ksh	Wed Aug 31 16:20:57 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_history/zpool_history_002_pos.ksh	Wed Aug 31 16:20:57 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,7 +47,7 @@
 options="-i -l -il -li -lil -ili -lli -iill -liil"
 
 for opt in $options; do
-	log_must eval "$ZPOOL history $opt $TESTPOOL > /dev/null 2>&1"
+	log_must eval "zpool history $opt $TESTPOOL > /dev/null 2>&1"
 done
 
 log_pass "Verify zpool history can handle options [-il] passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/cleanup.ksh	Wed Aug 31 16:20:57 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/cleanup.ksh	Wed Aug 31 16:20:57 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -36,16 +36,16 @@
 
 for pool in "$TESTPOOL" "$TESTPOOL1"; do
 	datasetexists $pool/$TESTFS && \
-		log_must $ZFS destroy -Rf $pool/$TESTFS
+		log_must zfs destroy -Rf $pool/$TESTFS
 	destroy_pool "$pool"
 done
 
 ismounted $DEVICE_DIR ufs
-(( $? == 0 )) && log_must $UMOUNT -f $DEVICE_DIR
+(( $? == 0 )) && log_must umount -f $DEVICE_DIR
 
 for dir in "$TESTDIR" "$TESTDIR1" "$DEVICE_DIR" ; do
 	[[ -d $dir ]] && \
-		log_must $RM -rf $dir
+		log_must rm -rf $dir
 done
 
 # recreate and destroy a zpool over the disks to restore the partitions to
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/setup.ksh	Wed Aug 31 16:20:57 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/setup.ksh	Wed Aug 31 16:20:57 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -55,25 +55,25 @@
 create_pool "$TESTPOOL" "$ZFSSIDE_DISK1"
 
 if [[ -d $TESTDIR ]]; then
-	$RM -rf $TESTDIR  || log_unresolved Could not remove $TESTDIR
-	$MKDIR -p $TESTDIR || log_unresolved Could not create $TESTDIR
+	rm -rf $TESTDIR  || log_unresolved Could not remove $TESTDIR
+	mkdir -p $TESTDIR || log_unresolved Could not create $TESTDIR
 fi
 
-log_must $ZFS create $TESTPOOL/$TESTFS
-log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+log_must zfs create $TESTPOOL/$TESTFS
+log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 
-$ECHO "y" | $NEWFS -v /dev/rdsk/$ZFSSIDE_DISK2 >/dev/null 2>&1
+echo "y" | newfs -v /dev/rdsk/$ZFSSIDE_DISK2 >/dev/null 2>&1
 (( $? != 0 )) &&
 	log_untested "Unable to setup a UFS file system"
 
 [[ ! -d $DEVICE_DIR ]] && \
-	log_must $MKDIR -p $DEVICE_DIR
+	log_must mkdir -p $DEVICE_DIR
 
-log_must $MOUNT /dev/dsk/$ZFSSIDE_DISK2 $DEVICE_DIR
+log_must mount /dev/dsk/$ZFSSIDE_DISK2 $DEVICE_DIR
 
 i=0
 while (( i < $MAX_NUM )); do
-	log_must $MKFILE $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
+	log_must mkfile $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
 	(( i = i + 1 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_001_pos.ksh	Wed Aug 31 16:20:57 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_001_pos.ksh	Wed Aug 31 16:20:57 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -63,16 +63,16 @@
 
 	while (( i < ${#pools[*]} )); do
 		poolexists ${pools[i]} && \
-			log_must $ZPOOL export ${pools[i]}
+			log_must zpool export ${pools[i]}
 
 		datasetexists "${pools[i]}/$TESTFS" || \
-			log_must $ZPOOL import ${devs[i]} ${pools[i]}
+			log_must zpool import ${devs[i]} ${pools[i]}
 
 		ismounted "${pools[i]}/$TESTFS" || \
-			log_must $ZFS mount ${pools[i]}/$TESTFS
+			log_must zfs mount ${pools[i]}/$TESTFS
 
 		[[ -e ${mtpts[i]}/$TESTFILE0 ]] && \
-			log_must $RM -rf ${mtpts[i]}/$TESTFILE0
+			log_must rm -rf ${mtpts[i]}/$TESTFILE0
 
 		((i = i + 1))
 	done
@@ -82,7 +82,7 @@
         destroy_pool $TESTPOOL1
 
 	[[ -d $ALTER_ROOT ]] && \
-		log_must $RM -rf $ALTER_ROOT
+		log_must rm -rf $ALTER_ROOT
 }
 
 log_onexit cleanup
@@ -91,7 +91,7 @@
 
 setup_filesystem "$DEVICE_FILES" $TESTPOOL1 $TESTFS $TESTDIR1
 
-checksum1=$($SUM $MYTESTFILE | $AWK '{print $1}')
+checksum1=$(sum $MYTESTFILE | awk '{print $1}')
 
 typeset -i i=0
 typeset -i j=0
@@ -99,13 +99,13 @@
 
 while (( i < ${#pools[*]} )); do
 	guid=$(get_config ${pools[i]} pool_guid)
-	log_must $CP $MYTESTFILE ${mtpts[i]}/$TESTFILE0
+	log_must cp $MYTESTFILE ${mtpts[i]}/$TESTFILE0
 
-	log_must $ZFS umount ${mtpts[i]}
+	log_must zfs umount ${mtpts[i]}
 
 	j=0
 	while (( j <  ${#options[*]} )); do
-		log_must $ZPOOL export ${pools[i]}
+		log_must zpool export ${pools[i]}
 
 		typeset target=${pools[i]}
 		if (( RANDOM % 2 == 0 )) ; then
@@ -112,7 +112,7 @@
 			target=$guid
 			log_note "Import by guid."
 		fi
-		log_must $ZPOOL import ${devs[i]} ${options[j]} $target
+		log_must zpool import ${devs[i]} ${options[j]} $target
 
 		log_must poolexists ${pools[i]}
 
@@ -125,7 +125,7 @@
 		[[ ! -e $basedir/$TESTFILE0 ]] && \
 			log_fail "$basedir/$TESTFILE0 missing after import."
 
-		checksum2=$($SUM $basedir/$TESTFILE0 | $AWK '{print $1}')
+		checksum2=$(sum $basedir/$TESTFILE0 | awk '{print $1}')
 		[[ "$checksum1" != "$checksum2" ]] && \
 			log_fail "Checksums differ ($checksum1 != $checksum2)"
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_002_pos.ksh	Wed Aug 31 16:20:57 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_002_pos.ksh	Wed Aug 31 16:20:57 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -62,16 +62,16 @@
 	typeset -i i=0
 	while (( i < ${#pools[*]} )); do
 		poolexists ${pools[i]} && \
-			log_must $ZPOOL export ${pools[i]}
+			log_must zpool export ${pools[i]}
 
 		datasetexists "${pools[i]}/$TESTFS" || \
-			log_must $ZPOOL import ${devs[i]} ${pools[i]}
+			log_must zpool import ${devs[i]} ${pools[i]}
 
 		ismounted "${pools[i]}/$TESTFS" || \
-			log_must $ZFS mount ${pools[i]}/$TESTFS
+			log_must zfs mount ${pools[i]}/$TESTFS
 
 		[[ -e ${mtpts[i]}/$TESTFILE0 ]] && \
-			log_must $RM -rf ${mtpts[i]}/$TESTFILE0
+			log_must rm -rf ${mtpts[i]}/$TESTFILE0
 
 		((i = i + 1))
 	done
@@ -81,7 +81,7 @@
 	destroy_pool $TESTPOOL1
 
 	[[ -d $ALTER_ROOT ]] && \
-		log_must $RM -rf $ALTER_ROOT
+		log_must rm -rf $ALTER_ROOT
 }
 
 log_onexit cleanup
@@ -90,7 +90,7 @@
 
 setup_filesystem "$DEVICE_FILES" $TESTPOOL1 $TESTFS $TESTDIR1
 
-checksum1=$($SUM $MYTESTFILE | $AWK '{print $1}')
+checksum1=$(sum $MYTESTFILE | awk '{print $1}')
 
 typeset -i i=0
 typeset -i j=0
@@ -99,13 +99,13 @@
 while (( i < ${#pools[*]} )); do
 	guid=$(get_config ${pools[i]} pool_guid)
 
-	log_must $CP $MYTESTFILE ${mtpts[i]}/$TESTFILE0
+	log_must cp $MYTESTFILE ${mtpts[i]}/$TESTFILE0
 
-	log_must $ZFS umount ${mtpts[i]}
+	log_must zfs umount ${mtpts[i]}
 
 	j=0
 	while (( j <  ${#options[*]} )); do
-		log_must $ZPOOL export ${pools[i]}
+		log_must zpool export ${pools[i]}
 
 		typeset target=${pools[i]}
 		if (( RANDOM % 2 == 0 )) ; then
@@ -113,7 +113,7 @@
 			log_note "Import by guid."
 		fi
 
-		log_must $ZPOOL import ${devs[i]} ${options[j]} $target
+		log_must zpool import ${devs[i]} ${options[j]} $target
 
 		log_must poolexists ${pools[i]}
 
@@ -126,11 +126,11 @@
 		[[ ! -e $basedir/$TESTFILE0 ]] && \
 			log_fail "$basedir/$TESTFILE0 missing after import."
 
-		checksum2=$($SUM $basedir/$TESTFILE0 | $AWK '{print $1}')
+		checksum2=$(sum $basedir/$TESTFILE0 | awk '{print $1}')
 		[[ "$checksum1" != "$checksum2" ]] && \
 			log_fail "Checksums differ ($checksum1 != $checksum2)"
 
-		log_mustnot $ZPOOL import ${devs[i]} $target
+		log_mustnot zpool import ${devs[i]} $target
 
 		((j = j + 1))
 	done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_003_pos.ksh	Wed Aug 31 16:20:58 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_003_pos.ksh	Wed Aug 31 16:20:58 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,20 +48,20 @@
 {
 	destroy_pool $TESTPOOL1
 
-	log_must $RM $VDEV0 $VDEV1
-	log_must $MKFILE $FILE_SIZE $VDEV0 $VDEV1
+	log_must rm $VDEV0 $VDEV1
+	log_must mkfile $FILE_SIZE $VDEV0 $VDEV1
 }
 
 log_assert "Destroyed pools are not listed unless with -D option is specified."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL1 $VDEV0 $VDEV1
-log_must $ZPOOL destroy $TESTPOOL1
+log_must zpool create $TESTPOOL1 $VDEV0 $VDEV1
+log_must zpool destroy $TESTPOOL1
 
 #
 # 'pool:' is the keywords of 'zpool import -D' output.
 #
-log_mustnot eval "$ZPOOL import -d $DEVICE_DIR | $GREP pool:"
-log_must eval "$ZPOOL import -d $DEVICE_DIR -D | $GREP pool:"
+log_mustnot eval "zpool import -d $DEVICE_DIR | grep pool:"
+log_must eval "zpool import -d $DEVICE_DIR -D | grep pool:"
 
 log_pass "Destroyed pool only can be listed with -D option."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_004_pos.ksh	Wed Aug 31 16:20:58 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_004_pos.ksh	Wed Aug 31 16:20:58 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,10 +50,10 @@
 {
 	destroy_pool $TESTPOOL1
 
-	log_must $RM -rf $DEVICE_DIR/*
+	log_must rm -rf $DEVICE_DIR/*
 	typeset i=0
 	while (( i < $MAX_NUM )); do
-		log_must $MKFILE $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
+		log_must mkfile $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
 		((i += 1))
 	done
 }
@@ -62,7 +62,7 @@
 	"it still can be imported correctly."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL1 $VDEV0 $VDEV1 $VDEV2
+log_must zpool create $TESTPOOL1 $VDEV0 $VDEV1 $VDEV2
 typeset guid=$(get_config $TESTPOOL1 pool_guid)
 typeset target=$TESTPOOL1
 if (( RANDOM % 2 == 0 )) ; then
@@ -69,20 +69,20 @@
 	target=$guid
 	log_note "Import by guid."
 fi
-log_must $ZPOOL destroy $TESTPOOL1
+log_must zpool destroy $TESTPOOL1
 
 log_note "Devices was moved to different directories."
-log_must $MKDIR $DEVICE_DIR/newdir1 $DEVICE_DIR/newdir2
-log_must $MV $VDEV1 $DEVICE_DIR/newdir1
-log_must $MV $VDEV2 $DEVICE_DIR/newdir2
-log_must $ZPOOL import -d $DEVICE_DIR/newdir1 -d $DEVICE_DIR/newdir2 \
+log_must mkdir $DEVICE_DIR/newdir1 $DEVICE_DIR/newdir2
+log_must mv $VDEV1 $DEVICE_DIR/newdir1
+log_must mv $VDEV2 $DEVICE_DIR/newdir2
+log_must zpool import -d $DEVICE_DIR/newdir1 -d $DEVICE_DIR/newdir2 \
 	-d $DEVICE_DIR -D -f $target
-log_must $ZPOOL destroy -f $TESTPOOL1
+log_must zpool destroy -f $TESTPOOL1
 
 log_note "Devices was moved to same directory."
-log_must $MV $VDEV0 $DEVICE_DIR/newdir2
-log_must $MV $DEVICE_DIR/newdir1/* $DEVICE_DIR/newdir2
-log_must $ZPOOL import -d $DEVICE_DIR/newdir2 -D -f $target
-log_must $ZPOOL destroy -f $TESTPOOL1
+log_must mv $VDEV0 $DEVICE_DIR/newdir2
+log_must mv $DEVICE_DIR/newdir1/* $DEVICE_DIR/newdir2
+log_must zpool import -d $DEVICE_DIR/newdir2 -D -f $target
+log_must zpool destroy -f $TESTPOOL1
 
 log_pass "Destroyed pools devices was moved, 'zpool import -D' passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_005_pos.ksh	Wed Aug 31 16:20:58 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_005_pos.ksh	Wed Aug 31 16:20:58 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,10 +48,10 @@
 {
 	destroy_pool $TESTPOOL1
 
-	log_must $RM -rf $DEVICE_DIR/*
+	log_must rm -rf $DEVICE_DIR/*
 	typeset i=0
 	while (( i < $MAX_NUM )); do
-		log_must $MKFILE $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
+		log_must mkfile $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
 		((i += 1))
 	done
 }
@@ -60,7 +60,7 @@
 	"correctly."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL1 $VDEV0 $VDEV1 $VDEV2
+log_must zpool create $TESTPOOL1 $VDEV0 $VDEV1 $VDEV2
 typeset guid=$(get_config $TESTPOOL1 pool_guid)
 typeset target=$TESTPOOL1
 if (( RANDOM % 2 == 0 )) ; then
@@ -67,19 +67,19 @@
 	target=$guid
 	log_note "Import by guid."
 fi
-log_must $ZPOOL destroy $TESTPOOL1
+log_must zpool destroy $TESTPOOL1
 
 log_note "Part of devices was renamed in the same directory."
-log_must $MV $VDEV0 $DEVICE_DIR/vdev0-new
-log_must $ZPOOL import -d $DEVICE_DIR -D -f $target
-log_must $ZPOOL destroy -f $TESTPOOL1
+log_must mv $VDEV0 $DEVICE_DIR/vdev0-new
+log_must zpool import -d $DEVICE_DIR -D -f $target
+log_must zpool destroy -f $TESTPOOL1
 
 log_note "All of devices was rename to different directories."
-log_must $MKDIR $DEVICE_DIR/newdir1 $DEVICE_DIR/newdir2
-log_must $MV $VDEV1 $DEVICE_DIR/newdir1/vdev1-new
-log_must $MV $VDEV2 $DEVICE_DIR/newdir2/vdev2-new
-log_must $ZPOOL import -d $DEVICE_DIR/newdir1 -d $DEVICE_DIR/newdir2 \
+log_must mkdir $DEVICE_DIR/newdir1 $DEVICE_DIR/newdir2
+log_must mv $VDEV1 $DEVICE_DIR/newdir1/vdev1-new
+log_must mv $VDEV2 $DEVICE_DIR/newdir2/vdev2-new
+log_must zpool import -d $DEVICE_DIR/newdir1 -d $DEVICE_DIR/newdir2 \
 	-d $DEVICE_DIR -D -f $target
-log_must $ZPOOL destroy -f $TESTPOOL1
+log_must zpool destroy -f $TESTPOOL1
 
 log_pass "Destroyed pools devices was renamed, 'zpool import -D' passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_006_pos.ksh	Wed Aug 31 16:20:58 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_006_pos.ksh	Wed Aug 31 16:20:58 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,10 +51,10 @@
 	destroy_pool $TESTPOOL2
 	destroy_pool $TESTPOOL1
 
-	log_must $RM -rf $DEVICE_DIR/*
+	log_must rm -rf $DEVICE_DIR/*
 	typeset i=0
 	while (( i < $MAX_NUM )); do
-		log_must $MKFILE $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
+		log_must mkfile $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
 		((i += 1))
 	done
 }
@@ -63,7 +63,7 @@
 	"by other pool, it still can be imported correctly."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL1 mirror $VDEV0 $VDEV1 $VDEV2
+log_must zpool create $TESTPOOL1 mirror $VDEV0 $VDEV1 $VDEV2
 typeset guid=$(get_config $TESTPOOL1 pool_guid)
 typeset target=$TESTPOOL1
 if (( RANDOM % 2 == 0 )) ; then
@@ -70,14 +70,14 @@
 	target=$guid
 	log_note "Import by guid."
 fi
-log_must $ZPOOL destroy $TESTPOOL1
+log_must zpool destroy $TESTPOOL1
 
-log_must $ZPOOL create $TESTPOOL2 $VDEV0 $VDEV2
-log_must $ZPOOL import -d $DEVICE_DIR -D -f $target
-log_must $ZPOOL destroy $TESTPOOL1
+log_must zpool create $TESTPOOL2 $VDEV0 $VDEV2
+log_must zpool import -d $DEVICE_DIR -D -f $target
+log_must zpool destroy $TESTPOOL1
 
-log_must $ZPOOL destroy $TESTPOOL2
-log_must $RM -rf $VDEV2
-log_must $ZPOOL import -d $DEVICE_DIR -D -f $target
+log_must zpool destroy $TESTPOOL2
+log_must rm -rf $VDEV2
+log_must zpool import -d $DEVICE_DIR -D -f $target
 
 log_pass "zpool import -D mirror passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_007_pos.ksh	Wed Aug 31 16:20:58 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_007_pos.ksh	Wed Aug 31 16:20:58 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,10 +51,10 @@
 	destroy_pool $TESTPOOL2
 	destroy_pool $TESTPOOL1
 
-	log_must $RM -rf $DEVICE_DIR/*
+	log_must rm -rf $DEVICE_DIR/*
 	typeset i=0
 	while (( i < $MAX_NUM )); do
-		log_must $MKFILE $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
+		log_must mkfile $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
 		((i += 1))
 	done
 }
@@ -63,7 +63,7 @@
 	"other pool, it still can be imported correctly."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL1 raidz $VDEV0 $VDEV1 $VDEV2 $VDIV3
+log_must zpool create $TESTPOOL1 raidz $VDEV0 $VDEV1 $VDEV2 $VDIV3
 typeset guid=$(get_config $TESTPOOL1 pool_guid)
 typeset target=$TESTPOOL1
 if (( RANDOM % 2 == 0 )) ; then
@@ -70,21 +70,21 @@
 	target=$guid
 	log_note "Import by guid."
 fi
-log_must $ZPOOL destroy $TESTPOOL1
+log_must zpool destroy $TESTPOOL1
 
-log_must $ZPOOL create $TESTPOOL2 $VDEV0
-log_must $ZPOOL import -d $DEVICE_DIR -D -f $target
-log_must $ZPOOL destroy $TESTPOOL1
+log_must zpool create $TESTPOOL2 $VDEV0
+log_must zpool import -d $DEVICE_DIR -D -f $target
+log_must zpool destroy $TESTPOOL1
 
-log_must $ZPOOL destroy $TESTPOOL2
-log_must $RM -rf $VDEV0
-log_must $ZPOOL import -d $DEVICE_DIR -D -f $target
-log_must $ZPOOL destroy $TESTPOOL1
+log_must zpool destroy $TESTPOOL2
+log_must rm -rf $VDEV0
+log_must zpool import -d $DEVICE_DIR -D -f $target
+log_must zpool destroy $TESTPOOL1
 
 log_note "For raidz, two destroyed pool's devices were used, import failed."
-log_must $MKFILE $FILE_SIZE $VDEV0
-log_must $ZPOOL create $TESTPOOL2 $VDEV0 $VDEV1
-log_mustnot $ZPOOL import -d $DEVICE_DIR -D -f $target
-log_must $ZPOOL destroy $TESTPOOL2
+log_must mkfile $FILE_SIZE $VDEV0
+log_must zpool create $TESTPOOL2 $VDEV0 $VDEV1
+log_mustnot zpool import -d $DEVICE_DIR -D -f $target
+log_must zpool destroy $TESTPOOL2
 
 log_pass "zpool import -D raidz passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_008_pos.ksh	Wed Aug 31 16:20:58 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_008_pos.ksh	Wed Aug 31 16:20:58 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -51,10 +51,10 @@
 	destroy_pool $TESTPOOL2
 	destroy_pool $TESTPOOL1
 
-	log_must $RM -rf $DEVICE_DIR/*
+	log_must rm -rf $DEVICE_DIR/*
 	typeset i=0
 	while (( i < $MAX_NUM )); do
-		log_must $MKFILE $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
+		log_must mkfile $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
 		((i += 1))
 	done
 }
@@ -63,7 +63,7 @@
 	"other pool, it still can be imported correctly."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL1 raidz2 $VDEV0 $VDEV1 $VDEV2 $VDIV3
+log_must zpool create $TESTPOOL1 raidz2 $VDEV0 $VDEV1 $VDEV2 $VDIV3
 typeset guid=$(get_config $TESTPOOL1 pool_guid)
 typeset target=$TESTPOOL1
 if (( RANDOM % 2 == 0 )) ; then
@@ -70,22 +70,22 @@
 	target=$guid
 	log_note "Import by guid."
 fi
-log_must $ZPOOL destroy $TESTPOOL1
+log_must zpool destroy $TESTPOOL1
 
-log_must $ZPOOL create $TESTPOOL2 $VDEV0 $VDEV1
-log_must $ZPOOL import -d $DEVICE_DIR -D -f $target
-log_must $ZPOOL destroy $TESTPOOL1
+log_must zpool create $TESTPOOL2 $VDEV0 $VDEV1
+log_must zpool import -d $DEVICE_DIR -D -f $target
+log_must zpool destroy $TESTPOOL1
 
-log_must $ZPOOL destroy $TESTPOOL2
-log_must $RM -rf $VDEV0 $VDEV1
-log_must $ZPOOL import -d $DEVICE_DIR -D -f $target
-log_must $ZPOOL destroy $TESTPOOL1
+log_must zpool destroy $TESTPOOL2
+log_must rm -rf $VDEV0 $VDEV1
+log_must zpool import -d $DEVICE_DIR -D -f $target
+log_must zpool destroy $TESTPOOL1
 
 log_note "For raidz2, more than two destroyed pool's devices were used, " \
 	"import failed."
-log_must $MKFILE $FILE_SIZE $VDEV0 $VDEV1
-log_must $ZPOOL create $TESTPOOL2 $VDEV0 $VDEV1 $VDEV2
-log_mustnot $ZPOOL import -d $DEVICE_DIR -D -f $target
-log_must $ZPOOL destroy $TESTPOOL2
+log_must mkfile $FILE_SIZE $VDEV0 $VDEV1
+log_must zpool create $TESTPOOL2 $VDEV0 $VDEV1 $VDEV2
+log_mustnot zpool import -d $DEVICE_DIR -D -f $target
+log_must zpool destroy $TESTPOOL2
 
 log_pass "zpool import -D raidz2 passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_009_neg.ksh	Wed Aug 31 16:20:58 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_009_neg.ksh	Wed Aug 31 16:20:58 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -68,13 +68,13 @@
 	while (( i < ${#pools[*]} )); do
 
 		poolexists ${pools[i]} && \
-			log_must $ZPOOL export ${pools[i]}
+			log_must zpool export ${pools[i]}
 
 		datasetexists "${pools[i]}/$TESTFS" || \
-			log_must $ZPOOL import ${devs[i]} ${pools[i]}
+			log_must zpool import ${devs[i]} ${pools[i]}
 
 		ismounted "${pools[i]}/$TESTFS" || \
-			log_must $ZFS mount ${pools[i]}/$TESTFS
+			log_must zfs mount ${pools[i]}/$TESTFS
 
 		((i = i + 1))
 	done
@@ -91,11 +91,11 @@
 
 setup_filesystem "$DEVICE_FILES" $TESTPOOL1 $TESTFS $TESTDIR1
 
-log_must $ZPOOL export $TESTPOOL
+log_must zpool export $TESTPOOL
 
 typeset -i i=0
 while (( i < ${#args[*]} )); do
-	log_mustnot $ZPOOL import ${args[i]}
+	log_mustnot zpool import ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_010_pos.ksh	Wed Aug 31 16:20:58 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_010_pos.ksh	Wed Aug 31 16:20:58 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,10 +54,10 @@
 		destroy_pool $dt
 	done
 
-	log_must $RM -rf $DEVICE_DIR/*
+	log_must rm -rf $DEVICE_DIR/*
 	typeset i=0
 	while (( i < $MAX_NUM )); do
-		log_must $MKFILE $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
+		log_must mkfile $FILE_SIZE ${DEVICE_DIR}/${DEVICE_FILE}$i
 		((i += 1))
 	done
 }
@@ -68,22 +68,22 @@
 
 poolA=poolA.$$; poolB=poolB.$$; poolC=poolC.$$; poolD=poolD.$$; poolE=poolE.$$
 
-log_must $ZPOOL create $poolA mirror $VDEV0 $VDEV1 $VDEV2 $VDEV3 $VDEV4
-log_must $ZPOOL destroy $poolA
+log_must zpool create $poolA mirror $VDEV0 $VDEV1 $VDEV2 $VDEV3 $VDEV4
+log_must zpool destroy $poolA
 
-log_must $ZPOOL create $poolB $VDEV1
-log_must $ZPOOL destroy $poolB
+log_must zpool create $poolB $VDEV1
+log_must zpool destroy $poolB
 
-log_must $ZPOOL create $poolC raidz2 $VDEV2 $VDEV3 $VDEV4
-log_must $ZPOOL destroy $poolC
+log_must zpool create $poolC raidz2 $VDEV2 $VDEV3 $VDEV4
+log_must zpool destroy $poolC
 
-log_must $ZPOOL create $poolD raidz $VDEV3 $VDEV4
-log_must $ZPOOL destroy $poolD
+log_must zpool create $poolD raidz $VDEV3 $VDEV4
+log_must zpool destroy $poolD
 
-log_must $ZPOOL create $poolE $VDEV4
-log_must $ZPOOL destroy $poolE
+log_must zpool create $poolE $VDEV4
+log_must zpool destroy $poolE
 
-log_must $ZPOOL import -d $DEVICE_DIR -D -f -a
+log_must zpool import -d $DEVICE_DIR -D -f -a
 
 for dt in $poolA $poolB $poolC $poolD $poolE; do
 	log_must datasetexists $dt
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_011_neg.ksh	Wed Aug 31 16:20:58 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_011_neg.ksh	Wed Aug 31 16:20:58 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -55,8 +55,8 @@
 	#
 	# Recreate virtual devices to avoid destroyed pool information on files.
 	#
-	log_must $RM -rf $VDEV0 $VDEV1 $VDEV2
-	log_must $MKFILE $FILE_SIZE $VDEV0 $VDEV1 $VDEV2
+	log_must rm -rf $VDEV0 $VDEV1 $VDEV2
+	log_must mkfile $FILE_SIZE $VDEV0 $VDEV1 $VDEV2
 }
 
 log_assert "For strip pool, any destroyed pool devices was demaged," \
@@ -63,7 +63,7 @@
 	"zpool import -D will failed."
 log_onexit cleanup
 
-log_must $ZPOOL create $TESTPOOL1 $VDEV0 $VDEV1 $VDEV2
+log_must zpool create $TESTPOOL1 $VDEV0 $VDEV1 $VDEV2
 typeset guid=$(get_config $TESTPOOL1 pool_guid)
 typeset target=$TESTPOOL1
 if (( RANDOM % 2 == 0 )) ; then
@@ -70,12 +70,12 @@
 	target=$guid
 	log_note "Import by guid."
 fi
-log_must $ZPOOL destroy $TESTPOOL1
-log_must $ZPOOL create $TESTPOOL2 $VDEV2
+log_must zpool destroy $TESTPOOL1
+log_must zpool create $TESTPOOL2 $VDEV2
 
-log_mustnot $ZPOOL import -d $DEVICE_DIR -D -f $target
+log_mustnot zpool import -d $DEVICE_DIR -D -f $target
 
-log_must $ZPOOL destroy $TESTPOOL2
-log_mustnot $ZPOOL import -d $DEVICE_DIR -D -f $target
+log_must zpool destroy $TESTPOOL2
+log_mustnot zpool import -d $DEVICE_DIR -D -f $target
 
 log_pass "Any strip pool devices damaged, pool can't be import passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_012_pos.ksh	Wed Aug 31 16:20:59 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zpool_import/zpool_import_012_pos.ksh	Wed Aug 31 16:20:59 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -63,20 +63,20 @@
 
 	while ((i < ${#pools[*]})); do
 		if poolexists ${pools[i]}; then
-			log_must $ZPOOL export ${pools[i]}
+			log_must zpool export ${pools[i]}
 			log_note "Try to import ${devs[i]} ${pools[i]}"
-			$ZPOOL import ${devs[i]} ${pools[i]}
+			zpool import ${devs[i]} ${pools[i]}
 		else
 			log_note "Try to import $option ${devs[i]} ${pools[i]}"
-			$ZPOOL import $option ${devs[i]} ${pools[i]}
+			zpool import $option ${devs[i]} ${pools[i]}
 		fi
 
 		if poolexists ${pools[i]}; then
 			is_shared ${pools[i]} && \
-			    log_must $ZFS set sharenfs=off ${pools[i]}
+			    log_must zfs set sharenfs=off ${pools[i]}
 
 			ismounted "${pools[i]}/$TESTFS" || \
-			    log_must $ZFS mount ${pools[i]}/$TESTFS
+			    log_must zfs mount ${pools[i]}/$TESTFS
 		fi
 
 		((i = i + 1))
@@ -85,13 +85,13 @@
 	destroy_pool $TESTPOOL1
 
 	if datasetexists $TESTPOOL/$TESTFS; then
-		log_must $ZFS destroy -Rf $TESTPOOL/$TESTFS
+		log_must zfs destroy -Rf $TESTPOOL/$TESTFS
 	fi
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 
 	[[ -d $ALTER_ROOT ]] && \
-		log_must $RM -rf $ALTER_ROOT
+		log_must rm -rf $ALTER_ROOT
 }
 
 log_onexit cleanup
@@ -102,15 +102,15 @@
 setup_filesystem "$DEVICE_FILES" $TESTPOOL1 $TESTFS $TESTDIR1
 # create a heirarchy of filesystem
 for pool in ${pools[@]} ; do
-	log_must $ZFS create $pool/$TESTFS/$TESTCTR
-	log_must $ZFS create $pool/$TESTFS/$TESTCTR/$TESTCTR1
-	log_must $ZFS set canmount=off $pool/$TESTFS/$TESTCTR
-	log_must $ZFS set canmount=off $pool/$TESTFS/$TESTCTR/$TESTCTR1
-	log_must $ZFS create $pool/$TESTFS/$TESTCTR/$TESTFS1
-	log_must $ZFS create $pool/$TESTFS/$TESTCTR/$TESTCTR1/$TESTFS1
-	log_must $ZFS create $pool/$TESTFS/$TESTFS1
-	log_must $ZFS snapshot $pool/$TESTFS/$TESTFS1@snap
-	log_must $ZFS clone $pool/$TESTFS/$TESTFS1@snap $pool/$TESTCLONE1
+	log_must zfs create $pool/$TESTFS/$TESTCTR
+	log_must zfs create $pool/$TESTFS/$TESTCTR/$TESTCTR1
+	log_must zfs set canmount=off $pool/$TESTFS/$TESTCTR
+	log_must zfs set canmount=off $pool/$TESTFS/$TESTCTR/$TESTCTR1
+	log_must zfs create $pool/$TESTFS/$TESTCTR/$TESTFS1
+	log_must zfs create $pool/$TESTFS/$TESTCTR/$TESTCTR1/$TESTFS1
+	log_must zfs create $pool/$TESTFS/$TESTFS1
+	log_must zfs snapshot $pool/$TESTFS/$TESTFS1@snap
+	log_must zfs clone $pool/$TESTFS/$TESTFS1@snap $pool/$TESTCLONE1
 done
 
 typeset mount_fs="$TESTFS $TESTFS/$TESTFS1 $TESTCLONE1 \
@@ -137,7 +137,7 @@
 				typeset nfs_flag="sharenfs=off"
 				if ((nfs_share_bit == 1)); then
 					log_note "Set sharenfs=on $pool"
-					log_must $ZFS set sharenfs=on $pool
+					log_must zfs set sharenfs=on $pool
 					log_must is_shared $pool
 					f_share="true"
 					nfs_flag="sharenfs=on"
@@ -147,9 +147,9 @@
 				while ((guid_bit <= 1)); do
 					typeset guid_flag="pool name"
 					if [[ -z $option ]]; then
-						log_must $ZPOOL export $pool
+						log_must zpool export $pool
 					else
-						log_must $ZPOOL destroy $pool
+						log_must zpool destroy $pool
 					fi
 
 					typeset target=$pool
@@ -165,7 +165,7 @@
 					fi
 					log_note "Import with $nfs_flag and " \
 					    "$guid_flag"
-					$ZPOOL import $option ${devs[i]} \
+					zpool import $option ${devs[i]} \
 					    ${options[j]} $target
 					#import by GUID if import by pool name fails
 					if [[ $? != 0 ]]; then
@@ -172,7 +172,7 @@
 						log_note "Possible pool name" \
 						    "duplicates. Try GUID import"
 						target=$guid
-						log_must $ZPOOL import $option \
+						log_must zpool import $option \
 						    ${devs[i]} ${options[j]} \
 						    $target
 					fi
@@ -192,7 +192,7 @@
 				done
 				# reset nfsshare=off
 				if [[ -n $f_share ]]; then
-					log_must $ZFS set sharenfs=off $pool
+					log_must zfs set sharenfs=off $pool
 					log_mustnot is_shared $pool
 				fi
 				((nfs_share_bit = nfs_share_bit + 1))
